Get Chat History
GET
/api/v1/projects/{project_id}/chat
const url = 'https://aura.strangeworks.com/api/v1/projects/example/chat?limit=200&offset=0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://aura.strangeworks.com/api/v1/projects/example/chat?limit=200&offset=0' \ --header 'Authorization: Bearer <token>'A window of the conversation, oldest-first. offset pages back into history.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project_id
required
Project Id
string
Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
ChatMessageListResponse
object
limit
required
Limit
integer
messages
required
Messages
Array<object>
ChatMessageResponseobject
affected_card_ids
required
Affected Card Ids
Array<string>
content
required
Content
string
content_segments
Any of:
Array<object>
ContentSegmentDataA single segment in the interleaved content stream.
object
children
Any of:
Array<object>
ToolCallDataA single tool call recorded on a chat message.
object
children
Any of:
Array<object> recursive
null
id
required
Id
string
status
required
Status
string
tool
required
Tool
string
null
type
required
Type
string
null
created_at
required
Created At
string format: date-time
file_ids
Any of:
Array<string>
null
id
required
Id
string
is_partial
Is Partial
boolean
project_id
required
Project Id
string
role
required
Role
string
sequence
required
Sequence
integer
tool_calls
Any of:
Array<object>
ToolCallDataA single tool call recorded on a chat message.
object
children
Any of:
Array<object> recursive
null
id
required
Id
string
status
required
Status
string
tool
required
Tool
string
null
offset
required
Offset
integer
total
required
Total
integer
Example
{ "messages": [ { "content_segments": [ { "children": [ { "status": "running" } ], "type": "text" } ], "is_partial": false, "role": "user", "tool_calls": [ { "status": "running" } ] } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}